+++
linkTitle = 'Managed Linux servers'
images = ['images/service/linux-servers.jpg']
position = 6
services = ['managed-linux-servers']
shortDescription = 'Installation, configuration and maintenance of Linux servers on both physical and virtual (VPS) hardware'
slug = 'managed-linux-servers'
title = 'Managed Linux servers'
translationKey = 'service-managed-linux-servers'
type = 'service'
[menu]
  [menu.main]
    parent = 'services'
    weight = 6
    [menu.main.params]
      iconclass = 'bi bi-hdd-rack-fill'
      title = 'Installation, configuration and maintenance of Linux servers on both physical and virtual (VPS) hardware'

+++

Complete management of physical or virtual multifunction servers equipped with open source Linux distributions.

- Sizing
- Installation
- Configuration
- Maintenance
- Upgrade
- Migration

Linux servers can offer a wide range of services : mail, web, backup, cloud, source code repository ...

Access to services from the outside can be made secure using a VPN with OpenVPN or Wireguard or via SSH tunnels, and the server can be protected by its software firewall and security can be increased by integrating Security Enhanced Linux support.

Connections to the web server can be encrypted using SSL certificates from Let's Encrypt (free) or using commercial certificates.

#### Tecnology used
- Operating systems basd on Linux : [Debian](https://debian.org), [RockyLinux](https://rockylinux.org/)
- Backup : Borg, Kopia, restic
- Cloud : Nextcloud
- Database : PostgreSQL, MariaDB
- Mail : Postfix, Dovecot, Roundcube, Rspamd
- Password management : [Vaultwarden](https://github.com/dani-garcia/vaultwarden)

#### Applications
- Mail private server
- Database server
- Backup server
- Private cloud and file server
- Private server for password storage
- Private source code repository for developers

A full range of installation, support, and maintenance services, particularly suitable for small businesses, with on-call or annual support contracts.

Support is provided remotely via control software.